What is Set Program Access and Defaults?

Set Program Access and Defaults is a feature that makes it easier for you to specify the default programs that you use for activities such as surfing the Internet and sending e-mail messages. In addition, you can specify which programs are available from the Start menu, the desktop, and other locations.

To set your favorite browser, media player, e-mail program, instant messenger program, or virtual machine for Java as the default one used by Windows, you must be logged on to your computer as an administrator.

* Note

  • Microsoft Windows Messenger, Microsoft Windows Media Player, and the Microsoft virtual machine (Microsoft VM) are not included with Windows XP 64-Bit Edition. As a result, these programs do not appear in the Set Program Access and Defaults feature in Windows XP 64-Bit Edition.

* Related Topics

Change your default programs using Set Program Access and Defaults

Troubleshoot Set Program Access and Defaults


Change your default programs using Set Program Access and Defaults

To change your default programs using Set Program Access and Defaults

  1. Click Start, and then click Set Program Access and Defaults.
  2. To specify the default programs for activities such as surfing the Internet and sending e-mail messages on your computer, do one of the following:
Select | To
Computer Manufacturer | Restore your settings to those selected by the manufacturer of your computer. This option is available only if the computer manufacturer installed Microsoft Windows XP Service Pack 1 on your computer and established settings for this feature.
Microsoft Windows | Use programs that are included with Windows as the defaults. Even though Microsoft programs will be used by default, you can still access all programs installed on your computer.
Non-Microsoft | Use non-Microsoft programs that are installed on your computer as the defaults. If you choose this option, access to the specified Microsoft Windows programs will be removed. You can, however, set up access to the programs at any time using Set Program Access and Defaults.
Custom | Use a combination of non-Microsoft and Microsoft Windows programs as the defaults. A custom configuration allows you to specify default programs for each activity. If you do not want a program to appear on the Start menu, the desktop, or other locations where programs typically appear, clear the Enable access to this program check box next to the program name.

* Notes

  • The Custom option is always selected by default whenever you open Set Program Access and Defaults.
  • In the Custom section if you select Use my current..., the current default program for that category will continue to be used.
  • Software manufacturers determine how their products work with the Set Program Access and Defaults feature. Some non-Microsoft programs might continue to show icons on the Start menu and elsewhere even if you clear the Enable access to this program check box for that program.
  • You cannot specify different default programs for different users and you cannot remove access to programs for specific users. The options you set in Set Program Access and Defaults apply to all users on your computer.

* Related Topics

What is Set Program Access and Defaults?

Troubleshoot Set Program Access and Defaults


Troubleshoot Set Program Access and Defaults

The following list describes known issues that you might encounter when you use the Set Program Access and Defaults feature.

  • When I tried to change settings in Set Program Access and Defaults, I received the following error message: "You do not have permission to set program access and defaults."

    • The feature is only available if you are logged on to your computer as an administrator.

    Log on to your computer as an administrator, and then change your settings.

  • I tried to specify different default programs for different users, but it doesn't seem to work.

    • The default programs selected in Set Program Access and Defaults apply to everyone who uses your computer. You cannot specify different default programs for different users and you cannot remove access to programs for specific users.

  • I do not see my preferred non-Microsoft programs listed in Set Program Access and Defaults.

    • In order to appear in Set Program Access and Defaults, programs must be registered. If your program does not appear in the list, it has not been registered and cannot be set as the default program using Set Program Access and Defaults. For assistance with this problem, contact the company that made the program.

  • I thought I had removed a non-Microsoft program from my Start menu, but I still see it there.

    • Software manufacturers determine how their products work with the Set Program Access and Defaults feature. Some non-Microsoft programs might continue to show icons on the Start menu and elsewhere even if you clear the Enable access to this program check box.

  • Why is the Custom option selected every time I open Set Program Access and Defaults?

    • By default, the feature opens with Custom selected.

* Notes

  • For more information about the Set Program Access and Defaults feature, see article Q328326 in the Microsoft Knowledge Base.
  • Microsoft Windows Messenger, Microsoft Windows Media Player, and the Microsoft virtual machine (Microsoft VM) are not included with Windows XP 64-Bit Edition. As a result, these programs do not appear in the Set Program Access and Defaults feature in Windows XP 64-Bit Edition.